# Contributing!

🎉 First off, thanks for taking the time to contribute! 🎉

## Guidelines

The following is a set of guidelines for contributing to this project. Use your best judgment, and feel free to propose changes to this document in a pull request.

- PRs should go to the `dev` branch. Reasons:
	- If there is already stuff under development, then it's likely that a conflict may occur.
	- Releases/Deployment.
	- Documentation tends not to be updated by PRs.
	- Testing.
- Use the `.editorconfig` file (located at the root of this project) on your editor so as to "maintain consistent coding styles". For instructions on how to use this file refer to [EditorConfig's website](https://editorconfig.org/).

## Recommendations

- Create a topic branch on your fork for your specific PR.
- Consider using [conventionalcommits.org's](https://www.conventionalcommits.org/en/v1.0.0/) rules for creating explicit and meaningful commit messages.
- If it's your first time contributing to a project then read [About pull requests](https://docs.github.com/en/github/collaborating-with-pull-requests/proposing-changes-to-your-work-with-pull-requests/about-pull-requests) on Github's docs.

## License

Any contribution will be published under the same licensing terms as the project itself.
